- apiVersion: apiextensions.k8s.io/v1beta1
  kind: CustomResourceDefinition
  metadata:
    name: newznabs.wopla.io
  spec:
    group: wopla.io
    names:
      kind: Newznab
      listKind: NewznabList
      plural: newznabs
      singular: newznab
    additionalPrinterColumns:
    - name: Domain
      type: string
      description: Newznab Domain
      jsonPath: .status.public
    - name: Age
      type: date
      jsonPath: .metadata.creationTimestamp
    scope: Namespaced
    subresources:
      status: {}
    validation:
      openAPIV3Schema:
        description: Orchestrates the deployment of Newznab
        properties:
          apiVersion:
            description: 'APIVersion defines the versioned schema of this representation
              of an object. Servers should convert recognized schemas to the latest
              internal value, and may reject unrecognized values. More info
              https://git.k8s.io/community/contributors/devel/api-conventions.md#resources'
            type: string
          kind:
            description: 'Kind is a string value representing the REST resource this
              object represents. Servers may infer this from the endpoint the client
              submits requests to. Cannot be updated. In CamelCase. More info
              https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds'
            type: string
          metadata:
            description: ObjectMeta is metadata that all persisted resources must have,
              which includes all objects users must create.
            properties:
              annotations:
                additionalProperties:
                  type: string
                description: 'Annotations is an unstructured key value map stored with
                  a resource that may be set by external tools to store and retrieve
                  arbitrary metadata. They are not queryable and should be preserved
                  when modifying objects. More info
                  http://kubernetes.io/docs/user-guide/annotations'
                type: object
              creationTimestamp:
                description: "CreationTimestamp is a timestamp representing the server
                  time when this object was created. It is not guaranteed to be set
                  in happens-before order across separate operations. Clients may not
                  set this value. It is represented in RFC3339 form and is in UTC. \n
                  Populated by the system. Read-only. Null for lists. More info
                  https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata"
                format: date-time
                type: string
              deletionGracePeriodSeconds:
                description: Number of seconds allowed for this object to gracefully
                  terminate before it will be removed from the system. Only set when
                  deletionTimestamp is also set. May only be shortened. Read-only.
                format: int64
                type: integer
              deletionTimestamp:
                description: "DeletionTimestamp is RFC 3339 date and time at which this
                  resource will be deleted. This field is set by the server when a graceful
                  deletion is requested by the user, and is not directly settable by
                  a client. The resource is expected to be deleted (no longer visible
                  from resource lists, and not reachable by name) after the time in
                  this field, once the finalizers list is empty. As long as the finalizers
                  list contains items, deletion is blocked. Once the deletionTimestamp
                  is set, this value may not be unset or be set further into the future,
                  although it may be shortened or the resource may be deleted prior
                  to this time. For example, a user may request that a pod is deleted
                  in 30 seconds. The Kubelet will react by sending a graceful termination
                  signal to the containers in the pod. After that 30 seconds, the Kubelet
                  will send a hard termination signal (SIGKILL) to the container and
                  after cleanup, remove the pod from the API. In the presence of network
                  partitions, this object may still exist after this timestamp, until
                  an administrator or automated process can determine the resource is
                  fully terminated. If not set, graceful deletion of the object has
                  not been requested. \n Populated by the system when a graceful deletion
                  is requested. Read-only. More info
                  https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata"
                format: date-time
                type: string
              finalizers:
                description: Must be empty before the object is deleted from the registry.
                  Each entry is an identifier for the responsible component that will
                  remove the entry from the list. If the deletionTimestamp of the object
                  is non-nil, entries in this list can only be removed.
                items:
                  type: string
                type: array
              generation:
                description: A sequence number representing a specific generation of
                  the desired state. Populated by the system. Read-only.
                format: int64
                type: integer
              labels:
                additionalProperties:
                  type: string
                description: 'Map of string keys and values that can be used to organize
                  and categorize (scope and select) objects. May match selectors of
                  replication controllers and services. More info
                  http://kubernetes.io/docs/user-guide/labels'
                type: object
              name:
                description: 'Name must be unique within a namespace. Is required when
                  creating resources, although some resources may allow a client to
                  request the generation of an appropriate name automatically. Name
                  is primarily intended for creation idempotence and configuration definition.
                  Cannot be updated. More info
                  http://kubernetes.io/docs/user-guide/identifiers#names'
                type: string
              namespace:
                description: "Namespace defines the space within each name must be unique.
                  An empty namespace is equivalent to the \"default\" namespace, but
                  \"default\" is the canonical representation. Not all objects are required
                  to be scoped to a namespace - the value of this field for those objects
                  will be empty. \n Must be a DNS_LABEL. Cannot be updated. More info
                  http://kubernetes.io/docs/user-guide/namespaces"
                type: string
              ownerReferences:
                description: List of objects depended by this object. If ALL objects
                  in the list have been deleted, this object will be garbage collected.
                  If this object is managed by a controller, then an entry in this list
                  will point to this controller, with the controller field set to true.
                  There cannot be more than one managing controller.
                items:
                  description: OwnerReference contains enough information to let you
                    identify an owning object. An owning object must be in the same
                    namespace as the dependent, or be cluster-scoped, so there is no
                    namespace field.
                  properties:
                    apiVersion:
                      description: API version of the referent.
                      type: string
                    blockOwnerDeletion:
                      description: If true, AND if the owner has the "foregroundDeletion"
                        finalizer, then the owner cannot be deleted from the key-value
                        store until this reference is removed. Defaults to false. To
                        set this field, a user needs "delete" permission of the owner,
                        otherwise 422 (Unprocessable Entity) will be returned.
                      type: boolean
                    controller:
                      description: If true, this reference points to the managing controller.
                      type: boolean
                    kind:
                      description: 'Kind of the referent. More info
                        https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds'
                      type: string
                    name:
                      description: 'Name of the referent. More info
                        http://kubernetes.io/docs/user-guide/identifiers#names'
                      type: string
                    uid:
                      description: 'UID of the referent. More info
                        http://kubernetes.io/docs/user-guide/identifiers#uids'
                      type: string
                  required:
                  - apiVersion
                  - kind
                  - name
                  - uid
                  type: object
                type: array
              resourceVersion:
                description: "An opaque value that represents the internal version of
                  this object that can be used by clients to determine when objects
                  have changed. May be used for optimistic concurrency, change detection,
                  and the watch operation on a resource or set of resources. Clients
                  must treat these values as opaque and passed unmodified back to the
                  server. They may only be valid for a particular resource or set of
                  resources. \n Populated by the system. Read-only. Value must be treated
                  as opaque by clients. More info
                  https://git.k8s.io/community/contributors/devel/api-conventions.md#concurrency-control-and-consistency"
                type: string
              selfLink:
                description: SelfLink is a URL representing this object. Populated by
                  the system. Read-only.
                type: string
              uid:
                description: "UID is the unique in time and space value for this object.
                  It is typically generated by the server on successful creation of
                  a resource and is not allowed to change on PUT operations. \n Populated
                  by the system. Read-only. More info
                  http://kubernetes.io/docs/user-guide/identifiers#uids"
                type: string
            type: object
          spec:
            properties:
              allow_rwx_storage:
                description: Allows usage for auto-detected RWX StorageClass - defaults to True
                type: boolean
              apache_clone_secret:
                description: Apache Base Image Sources Clone Secret - defaults to undefined
                type: string
              apache_image_source:
                description: Apache Base Image Sources - defaults to https://gitlab.com/synacksynack/opsperator/docker-apache
                type: string
              apache_tag:
                description: Apache Base Image Sources Ref - defaults to 2.4.52-20220918
                type: string
              auth_namespace:
                description: Namespace hosting your Directory deployment, if any - defaults to Newznab namespace
                type: string
              backups_daily_start_hour:
                description: Kubernetes Daily Backups Start Hour - defaults to 15
                format: int64
                type: integer
              backups_hourly_start_minute:
                description: Kubernetes Hourly Backups Start Minute - defaults to 15
                format: int64
                type: integer
              backups_interval:
                description: Kubernetes Hourly Backups Interval - defaults to daily
                type: string
              backups_weekly_start_day:
                description: Kubernetes Weekly Backups Start Day - defaults to 2
                format: int64
                type: integer
              cluster_domain:
                description: Kubernetes internal root domain - defaults to cluster.local
                type: string
              default_namespace_match:
                description: NetworkPolicy Default Namespace Match label - defaults to default
                type: string
              deploy_pod_cpu_limit:
                description: DeploymentConfigs Deploy container CPU Limit - defaults to 50m
                type: string
              deploy_pod_cpu_request:
                description: DeploymentConfigs Deploy container CPU Request - defaults to 50m
                type: string
              deploy_pod_memory_limit:
                description: DeploymentConfigs Deploy container Memory Limit - defaults to 512Mi
                type: string
              deploy_pod_memory_request:
                description: DeploymentConfigs Deploy container Memory Request - defaults to 128Mi
                type: string
              deploy_revision_history:
                description: DeploymentConfigs Revision History Limit - defaults to 3
                type: string
              directory_selectors:
                description: List of Label Selectors matching Directory CR to integrate with - defaults to [ opsperator.io/Newznab=cr-metadata-name ]
                items:
                  type: string
                type: array
              do_affinities:
                description: Enables AntiAffinity rules scheduling Pods - defaults to True
                type: boolean
              do_backups:
                description: Enables Backups Integration - defaults to False
                type: boolean
              do_build_trigger:
                description: Enables BuildConfig/Tekton Triggers - defaults to True
                type: boolean
              do_debugs:
                description: Toggles Debug on all applications - defaults to False
                type: boolean
              do_exporters:
                description: Toggles Prometheus Exporters deployment - defaults to False
                type: boolean
              do_hpa:
                description: Enables Horizontal Pods Autoscalers configuration - defaults to False
                type: boolean
              do_network_policy:
                description: Enables NetworkPolicies configuration - defaults to False
                type: boolean
              do_pdb:
                description: Enables PodDisruptionBudgets configuration - defaults to False
                type: boolean
              do_status_dashboards:
                description: "Enables Custom Resources .status.dashboards[] update, listing Grafana
                  dashboards when Prometheus integration is enabled - defaults to False"
                type: boolean
              do_triggers:
                description: "Configures triggers redeploying containers when new images
                  are pushed to its source ImageStream - defaults to False"
                type: boolean
              docker_registry:
                description: "Source Registry hosting Images - defaults to docker-registry
                  if okd3, image-registry if okd4, k8s integreted registry if detected, otherwise
                  a registry would be deployed by the operator"
                type: string
              execution_affinity_required:
                description: Should Execution Affinity Rules be Mandatory - defaults to True
                type: boolean
              exporter_cpu_limit:
                description: Prometheus Exporter container CPU Limit - defaults to 100m
                type: string
              exporter_cpu_request:
                description: Prometheus Exporter container CPU Request - defaults to 50m
                type: string
              exporter_memory_limit:
                description: Prometheus Exporter container Memory Limit - defaults to 128Mi
                type: string
              exporter_memory_request:
                description: Prometheus Exporter container Memory Request - defaults to 64Mi
                type: string
              hpa_cpu_target:
                description: Default HPA CPU Target - defaults to 75
                format: int64
                type: integer
              hpa_max_replicas:
                description: Default HPA Max Replicas - defaults to 4, or min_replicas + 1
                format: int64
                type: integer
              hpa_min_replicas:
                description: Default HPA Min Replicas - defaults to 2
                format: int64
                type: integer
              hpa_memory_target:
                description: Default HPA Memory Target - defaults to 80
                format: int64
                type: integer
              httpexporter_clone_secret:
                description: Apache Prometheus Exporter Image Sources Clone Secret - defaults to undefined
                type: string
              httpexporter_image_source:
                description: Apache Prometheus Exporter Image Sources - defaults to https://gitlab.com/synacksynack/opsperator/docker-httpexporter
                type: string
              httpexporter_tag:
                description: Apache Prometheus Exporter Image Sources Ref - defaults to 1.1.0
                type: string
              images_builds_namespace:
                description: Namespace hosting container images, using cluster integrated registry - defaults to .metadata.namespace
                type: string
              ingress_filter_method:
                description: NetworkPolicies Ingress filter method, either nodeips, labels or none - defaults to labels
                type: string
              ingress_nodes_selector:
                description: NetworkPolicies Ingress nodes filters - defaults to node-role.kubernetes.io/infra=true
                type: string
              k8s_affinity_zone_label:
                description: Label Name distributing replicas of a deployment - defaults to kubernetes.io/hostname
                type: string
              k8s_namespace_nodes_selectors:
                description: List of Label Selectors matching Kubernetes Nodes hosting at the Namespace level - defaults to [ kubernetes.io/os=linux ]
                items:
                  type: string
                type: array
              k8s_registry_ns:
                description: Default Kubernetes integrated registry Namespace - defaults to registry
                type: string
              k8s_registry_svc:
                description: Default Kubernetes integrated registry Service Name - defaults to registry
                type: string
              k8s_resource_nodes_selectors:
                description: List of Label Selectors matching Kubernetes Nodes hosting at the Pod level - defaults to []
                items:
                  type: string
                type: array
              mariadb_image_source:
                description: MariaDB source image (amd64) - defaults to docker.io/mariadb
                type: string
              mariadb_tag:
                description: MariaDB Image Tag - defaults to 10.7
                type: string
              mysqlexporter_clone_secret:
                description: MySQL Prometheus Exporter Image Sources Clone Secret - defaults to undefined
                type: string
              mysqlexporter_image_source:
                description: MySQL Prometheus Exporter Image Sources - defaults to https://gitlab.com/synacksynack/opsperator/docker-mysqlexporter
                type: string
              mysqlexporter_tag:
                description: MySQL Prometheus Exporter Image Sources Ref - defaults to 0.13.0
                type: string
              network_policy_deployment_label:
                description: NetworkPolicy Pod Label Selector Name - defaults to name
                type: string
              network_policy_namespace_label:
                description: "NetworkPolicy Namespace Label Selector Name, allowing Ingresses and Prometheus
                  communications - defaults to netpol"
                type: string
              newznab_cache_backend:
                description: Newznab Cache Backend - defaults to memory
                type: string
              newznab_cache_cpu_limit:
                description: Newznab Cache (memcached) CPU Limit - defaults to 50m
                type: string
              newznab_cache_cpu_request:
                description: Newznab Cache (memcached) CPU Request - defaults to 10m
                type: string
              newznab_cache_memory_limit:
                description: Newznab Cache (memcached) Memory Limit - defaults to 512Mi
                type: string
              newznab_cache_memory_limit_mbyte:
                description: Newznab Cache (memcached) Process Memory Limit in Megabytes - defaults to 480
                format: int64
                type: integer
              newznab_cache_memory_request:
                description: Newznab Cache (memcached) Memory Request - defaults to 256Mi
                type: string
              newznab_cache_replicas:
                description: Newznab Cache (memcached) Replicas Count - defaults to 3
                format: int64
                type: integer
              newznab_clone_secret:
                description: Newznab Image Sources Clone Secret - defaults to undefined
                type: string
              newznab_cpu_limit:
                description: Newznab CPU Limit - defaults to 100m
                type: string
              newznab_cpu_request:
                description: Newznab CPU Request - defaults to 10m
                type: string
              newznab_data_capacity:
                description: Newznab PersistentVolumeClaim requested size - defaults to 50Gi
                type: string
              newznab_db_cpu_limit:
                description: Newznab Database CPU Limit - defaults to 200m
                type: string
              newznab_db_data_capacity:
                description: Newznab Database PersistentVolumeClaim requested size - defaults to 30Gi
                type: string
              newznab_db_memory_limit:
                description: Newznab Database Memory Limit - defaults to 860Mi
                type: string
              newznab_db_type:
                description: Newznab Database Type - defaults to mariadb
                type: string
              newznab_hpa_mem_target:
                description: Newznab HPA Memory Target - defaults to hpa_mem_target
                format: int64
                type: integer
              newznab_image_source:
                description: Newznab Image Sources - defaults to https://gitlab.com/synacksynack/opsperator/docker-newznab
                type: string
              newznab_info_address:
                description: Newznab Info Email Address - defaults to info@demo.local
                type: string
              newznab_job_cpu_limit:
                description: Newznab Index Refresh Job CPU Limit - defaults to 100m
                type: string
              newznab_job_cpu_request:
                description: Newznab Index Refresh Job CPU Request - defaults to 10m
                type: string
              newznab_job_interval:
                description: Newznab Index Refresh Job Interval (in seconds) - defaults to 600
                format: int64
                type: integer
              newznab_job_memory_limit:
                description: Newznab Index Refresh Job Memory Limit - defaults to 1200Mi
                type: string
              newznab_job_memory_request:
                description: Newznab Index Refresh Job Memory Request - defaults to 128Mi
                type: string
              newznab_job_php_memory_limit:
                description: Newznab Index Refresh Job PHP Memory Limit - defaults to 1024M
                type: string
              newznab_memory_limit:
                description: Newznab Memory Limit - defaults to 1200Mi
                type: string
              newznab_memory_request:
                description: Newznab Memory Request - defaults to 256Mi
                type: string
              newznab_php_max_execution_time:
                description: Newznab PHP Max Execution Time (in seconds) - defaults to 120
                format: int64
                type: integer
              newznab_php_memory_limit:
                description: Newznab PHP Memory Limit - defaults to 1024M
                type: string
              newznab_replicas:
                description: Newznab Replicas Count - defaults to 1, requires RWX storage
                format: int64
                type: integer
              newznab_site_name:
                description: Newznab Site Name - defaults to KubeNab
                type: string
              newznab_svn_clone_password:
                description: Newznab Plus Subversion Clone Password - defaults to undefined
                type: string
              newznab_svn_clone_user:
                description: Newznab Plus Subversion Clone Username - defaults to undefined
                type: string
              newznab_tag:
                description: Newznab Image Sources Ref - defaults to 0.2.3-20220918
                type: string
              nntp_hostname:
                description: Newznab NNTP Provider FQDN - defaults to reader.usenetbucket.com
                type: string
              nntp_password:
                description: Newznab NNTP Provider Password - defaults to False
                type: string
              nntp_port:
                description: Newznab NNTP Provider Port - defaults to 443
                format: int64
                type: integer
              nntp_tls:
                description: Newznab NNTP Provider uses TLS - defaults to True
                type: boolean
              nntp_username:
                description: Newznab NNTP Provider Username - defaults to False
                type: string
              no_proxy:
                description: "HTTP Proxy Exclusions. Note cluster internal domain names, as well as
                  ingresses root domain would always be part of those exclusions - defaults to []"
                items:
                  type: string
                type: array
              opsperator_images_registry:
                description: "External Registry Prefix pulling custom operator images - defaults to undefined, falls back to
                  Kubernetes/OpenShift integrated registries"
                type: string
              pause:
                description: Pauses operator, stops reconciling child resources - defaults to False
                type: boolean
              php_clone_secret:
                description: PHP Base Image Sources Clone Secret - defaults to undefined
                type: string
              php_image_source:
                description: PHP Base Image Sources - defaults to https://gitlab.com/synacksynack/opsperator/docker-php
                type: string
              php_tag:
                description: PHP Base Image Sources Ref - defaults to 20220227
                type: string
              prometheus_match:
                description: Prometheus Service Label Value - defaults to scrape-me
                type: string
              prometheus_namespace:
                description: Namespace hosting Prometheus - defaults to ${prometheus_namespace_match}
                type: string
              prometheus_namespace_match:
                description: Prometheus Namespace Label Value - defaults to prometheus-monitoring
                type: string
              prometheus_service_label:
                description: Prometheus Service Label Name - defaults to k8s-app
                type: string
              pull_policy:
                description: Images Pull Policy - defaults to IfNotPresent
                type: string
              proxy_host:
                description: HTTP Proxy Host - defaults to undefined
                type: string
              proxy_port:
                description: HTTP Proxy Host - defaults to 3128
                format: int64
                type: integer
              root_domain:
                description: Customer Root Domain - defaults to demo.local
                type: string
              rwo_needs_fsgroup:
                description: Optional securityContext.fsGroup numeric ID, to force on containers mounting RWO storage - defaults to False
                format: int64
                type: integer
              rwx_needs_fsgroup:
                description: Optional securityContext.fsGroup numeric ID, to force on containers mounting RWX storage - defaults to False
                format: int64
                type: integer
              sabnzbd_namespace:
                description: Namespace hosting your SABnzbd deployment, if any - defaults to Newznab namespace
                type: string
              sabnzbd_selectors:
                description: List of Label Selectors matching SABnzbd CR to integrate with - defaults to [ opsperator.io/Newznab=cr-metadata-name ]
                items:
                  type: string
                type: array
              scheduling_affinity_required:
                description: Should Scheduling Affinity Rules be Mandatoryd - defaults to True
                type: boolean
              squid_namespace:
                description: Namespace hosting your Squid deployment, if any - defaults to NewzNab namespace
                type: string
              squid_selectors:
                description: List of Label Selectors matching Squid CR to integrate with - defaults to [ opsperator.io/NewzNab=cr-metadata-name ]
                items:
                  type: string
                type: array
              sshd_clone_secret:
                description: Sshd Image Sources Clone Secret - defaults to undefined
                type: string
              sshd_cpu_limit:
                description: Sshd container CPU Limit - defaults to 100m
                type: string
              sshd_cpu_request:
                description: Sshd container CPU Request - defaults to 10m
                type: string
              sshd_image_source:
                description: Sshd sources - defaults to https://gitlab.com/synacksynack/opsperator/docker-sshd
                type: string
              sshd_memory_limit:
                description: Sshd container Memory Limit - defaults to 512Mi
                type: string
              sshd_memory_request:
                description: Sshd container Memory Request - defaults to 128Mi
                type: string
              sshd_tag:
                description: Sshd Image Tag - defaults to 7.9p1-10-20220424
                type: string
              svc_keylen:
                description: TLS Certificates Key Length - defaults to 2048
                format: int64
                type: integer
              svc_validity:
                description: TLS Certificates Validity, in days - defaults to 365
                format: int64
                type: integer
              tekton_buildah_image:
                description: Tekton Buildah Image - defaults to quay.io/buildah/stable:v1.21.0
                type: string
              tekton_docker_build_cpu_limit:
                description: Tekton Docker Build CPU Limit - defaults to 400m
                type: string
              tekton_docker_build_cpu_request:
                description: Tekton Docker Build CPU Request - defaults to 200m
                type: string
              tekton_docker_build_memory_limit:
                description: Tekton Docker Build Memory Limit - defaults to 4Gi
                type: string
              tekton_docker_build_memory_request:
                description: Tekton Docker Build Memory Request - defaults to 2Gi
                type: string
              tekton_img_image:
                description: Tekton GenuineTools Img Image - defaults to r.j3ss.co/img
                type: string
              tekton_k8s_version:
                description: Tekton Pipelines Version to Deploy (on Kubernetes, use OLM with OpenShift) - defaults to 0.19.0
                type: string
              tekton_kaniko_image:
                description: Tekton Kaniko Image - defaults to gcr.io/kaniko-project/executor:v1.7.0
                type: string
              tekton_oc_client_image:
                description: Tekton OC Client Image - defaults to quay.io/openshift/origin-cli:latest
                type: string
              tekton_preferred_builder:
                description: Tekton Preferred Docker Builder method - defaults to buildah
                type: string
              tekton_s2i_build_cpu_limit:
                description: Tekton S2I Build CPU Limit - defaults to 400m
                type: string
              tekton_s2i_build_cpu_request:
                description: Tekton S2I Build CPU Request - defaults to 200m
                type: string
              tekton_s2i_build_memory_limit:
                description: Tekton S2I Build Memory Limit - defaults to 4Gi
                type: string
              tekton_s2i_build_memory_request:
                description: Tekton S2I Build Memory Request - defaults to 2Gi
                type: string
              tekton_s2i_image:
                description: Tekton S2i Builder Image - defaults to quay.io/openshift-pipeline/s2i
                type: string
              tekton_skopeo_image:
                description: Tekton Skopeo Image - defaults to docker.io/ananace/skopeo
                type: string
              timezone:
                description: Customer TimeZone - defaults to Europe/Paris
                type: string
              use_rwo_storage:
                description: Forces RWO StorageClass name - defaults to undefined
                type: string
              use_rwx_storage:
                description: Forces RWX StorageClass name - defaults to undefined
                type: string
            type: object
          status:
            properties:
              adminsecret:
                description: Newznab Admin User Secret
                type: string
              dashboards:
                description: List of Grafana Dashboards for this deployment
                items:
                  type: string
                type: array
              internal:
                description: Newznab Internal Address
                type: string
              public:
                description: Newznab Public Address
                type: string
              ready:
                description: Marks Deployment to be Ready
                type: boolean
            type: object
        type: object
    versions:
    - name: v1beta1
      served: true
      storage: true
